Subject: FVWM: windowlist patch

From: Trent Piepho <[email-masked]>
Date: Mon, 21 Oct 1996 20:35:03 -0700 (PDT)

I'm new to fvwm hacking, but after getting 2.0.43 I found the window list
still wasn't working.  It would raise the window and transfer focus to it,
sure, but because I have point to focus set it would immediately unfocus the
window.

I changed it to warp to the pointer to the window after raising it, if the
window isn't click to focus, otherwise the window list was pretty dumb.

As far as I can tell raise_it_func is only called to raise windows from the
window list, so I hacked it to this:

void raise_it_func(XEvent *eventp,Window w,FvwmWindow *tmp_win,
                   unsigned long context, char *action, int *Module)
{
  int val1_unit,n;
  long val1;
  n = GetOneArgument(action, &val1, &val1_unit);
  if(val1 != 0)
  {
    if (((FvwmWindow *)(val1))->flags & ICONIFIED)
    {
      DeIconify((FvwmWindow *)val1);
    };
    FocusOn((FvwmWindow *)val1,0);
    if (!(((FvwmWindow *)(val1))->flags & ClickToFocus))
      WarpOn((FvwmWindow *)val1,0,0,0,0);
  }
}

|Gazing up to the breeze of the heavens \ on a quest, meaning, reason  |
|came to be, how it begun \ all alone in the family of the sun         |
|curiosity teasing everyone \ on our home, third stone from the sun.   |
|Trent Piepho ([email-masked])                   -- Metallica  |

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].